Subject: Re: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 May 2019 13:58:39 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Alan Third <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 11 May 2019 11:54:13 +0200
> 
>     Eli> Could there be some internal variable, either in Lisp or in
>     Eli> C, which we then would use in the default value, as some
>     Eli> unit, instead of just number of wheel turns and number of
>     Eli> lines?  Then we could set that internal variable to different
>     Eli> values, but keep the customization the same in those
>     Eli> internally-defined units.  I think that would be somewhat
>     Eli> cleaner, if possible and reasonable, because we'd be able to
>     Eli> document the customization in these units in a
>     Eli> platform-independent way.
> 
> I canʼt think of a single variable you could use to transform
> 
> (5 ((shift) . 1) ((control) . nil)))
> 
> to
> 
> (1 ((shift) . 5) ((control)))

What is the logic behind the value proposed for macOS 10.7, though?
It sounds like Shift will _increase_ the scrolling amount instead of
decreasing it in the default value?  What is the reason for such
reversal?

> (as an aside ((control) . nil) is the same as ((control)), so we
> should change one or the other)

Right.